[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'unixcp' (#rtl)

# GetSystemCodepage

Return the system code page based on the program environment.

## Declaration

Source position: unixcp.pp line 638

`function GetSystemCodepage: TSystemCodePage;`

## Function result

Detected code page, or system default if no system found.

## Description

GetSystemCodepage returns the system code page, based on one of the environment variables LC_ALL, LC_CTYPE or LANG. The first non-empty variable (in the order mentioned here) is used.

## Errors

If none is found, then a system default is used: Linux and Darwin use CP_UTF8, others use CP_ASCII.

## See also

UnixCpMap |  | Map with codepage names.
GetSystemCodepage |  | Return the system code page based on the program environment.
GetCodepageByName |  | Find code page by name